// TO OPEN ACTION BUTTONS CONTAINER IN TASKS CONTAINER ON MOBILE
document.addEventListener('DOMContentLoaded', function () {
    var actionsButtons = document.querySelectorAll('.actionsButton');

    actionsButtons.forEach(function (button) {
        button.addEventListener('click', function () {
            var arrowDown = button.querySelector('.fa-angle-down');
            var arrowUp = button.querySelector('.fa-angle-up');

            arrowDown.style.display = arrowDown.style.display === 'none' ? 'inline-block' : 'none';
            arrowUp.style.display = arrowUp.style.display === 'none' ? 'inline-block' : 'none';

            var actionsContainer = button.nextElementSibling;
            actionsContainer.classList.toggle('hidden');
            actionsContainer.classList.toggle('grid');
        });
    });
});